commit:     23d1ffac1aa687e5f6708c2d2edfafda43ba7a4e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 21 13:20:19 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 21 13:20:49 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23d1ffac

app-crypt/xca: fix automagic doc building

Closes: https://bugs.gentoo.org/938914
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 app-crypt/xca/xca-2.9.0-r1.ebuild | 73 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)

diff --git a/app-crypt/xca/xca-2.9.0-r1.ebuild 
b/app-crypt/xca/xca-2.9.0-r1.ebuild
new file mode 100644
index 000000000000..83c0e44f35fa
--- /dev/null
+++ b/app-crypt/xca/xca-2.9.0-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit cmake virtualx xdg-utils
+
+DESCRIPTION="A GUI to OpenSSL, RSA public keys, certificates, signing requests 
etc"
+HOMEPAGE="https://hohnstaedt.de/xca/";
+SRC_URI="https://github.com/chris2511/xca/archive/refs/tags/RELEASE.${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/xca-RELEASE.${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc"
+
+RDEPEND="
+       dev-libs/libltdl:0=
+       dev-qt/qtbase:6[sqlite,widgets]
+       dev-qt/qttools:6[assistant]
+       dev-libs/openssl:*
+       doc? ( app-text/linuxdoc-tools )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-qt/qttools:6[linguist]
+       doc? ( dev-python/sphinx dev-python/sphinxcontrib-htmlhelp 
dev-python/sphinxcontrib-qthelp )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.8.0-man-page.patch"
+)
+
+src_configure() {
+       if ! use doc; then
+               xca_docs=-DSPHINX=
+       fi
+
+       local mycmakeargs=(
+               -DQTFIXEDVERSION=Qt6
+               $xca_docs
+       )
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+}
+
+src_test() {
+       virtx default
+}
+
+src_install() {
+       cmake_src_install
+
+       insinto /etc/xca
+       doins misc/*.txt
+
+       dosym xca /usr/bin/xca-console
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}

Reply via email to